#!/bin/sh

############################################################################
#
#  Source Name : set_connection.sh
#  Result Code : 0 -> No errors occurred.
#                2 -> Connection.xml not found.
#
############################################################################

CONNECTION_FILE_NAME='Connection.xml'
OUT_FILE_DIR='/var/opt/EIZO/ColorNavigator NetAgent/'

IN_FILE="./${CONNECTION_FILE_NAME}"
OUT_FILE="${OUT_FILE_DIR}${CONNECTION_FILE_NAME}"

# Main
RESULT_CODE=2
if [ -e "${IN_FILE}" ]; then
    # Create NetAgent directory
    if [ ! -d "${OUT_FILE_DIR}" ]; then
        mkdir -p "${OUT_FILE_DIR}"
        chmod 777 -R "${OUT_FILE_DIR}"
    fi
    # Copy
    cp -p "${IN_FILE}" "${OUT_FILE}"
    chmod 666 "${OUT_FILE}"
    RESULT_CODE=0
fi

exit ${RESULT_CODE}
